This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 665510 - A2DP sound hangs after some time
A2DP sound hangs after some time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 01:16 EST by Bernie Innocenti
Modified: 2012-08-16 13:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2010-12-24 01:16:48 EST
Description of problem:

I have my jWIN JB-TH710 headphones paired with my laptop's internal Broadcom bluetooth. If I don't play any sound for some time, the connection dies:

 bluetoothd[12218]: Suspend: Connection timed out (110)
 bluetoothd[12218]: suspend failed
 bluetoothd[12218]: Abort: Connection timed out (110)
 bluetoothd[12218]: seid not opened

Afterwards, all applications which attempt to play some sound hang after playing  a few chunks. The only way around this is to disconnect the headphones and reconnect them.


Version-Release number of selected component (if applicable):
bluez-4.81-1.fc15.x86_64
pulseaudio-module-bluetooth-0.9.22-1.fc15.x86_64

I installed these versions from rawhide to see if the bug would go away. I could reproduce it also with bluez-4.79 and pulseaudio-0.9.21

How reproducible:
Always (apparently)

Steps to Reproduce:
1. connect the headphones
2. play a movie with, for instance, mplayer
3. stop mplayer
4. wait a couple of minutes until the connection dies
5. start mplayer again
6. curse

Actual results:
mplayer hangs

Expected results:
mplayer should not hang

Additional info:
Comment 1 Fedora End Of Life 2012-08-16 13:29:47 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.